/*===========================================================================*/
/*   (Tools/dsssl.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Tools/dsssl.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl__dssslzd2defaultedzd2formalzf3zf3zztools_dssslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_dssslzd2argsza2zd2ze3argszd2listz93zztools_dssslz00(obj_t);
static obj_t BGl__dssslzd2namedzd2constantzf3zf3zztools_dssslz00(obj_t, obj_t);
static obj_t BGl__dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_dssslzd2defaultedzd2formalzf3zf3zztools_dssslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_dssslzd2defaultzd2formalz00zztools_dssslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_dssslzd2formalszd2encodingz00zztools_dssslz00(obj_t);
static obj_t BGl__dssslzd2formalszd2encodingz00zztools_dssslz00(obj_t, obj_t);
static obj_t BGl_loopz00zztools_dssslz00(obj_t, bool_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_dssslzd2formalszd2skeletonz00zztools_dssslz00(obj_t);
static obj_t BGl__dssslzd2formalszd2skeletonz00zztools_dssslz00(obj_t, obj_t);
static obj_t BGl__dssslzd2defaultzd2formalz00zztools_dssslz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zztools_dssslz00();
static obj_t BGl_requirezd2initializa7ationz75zztools_dssslz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zztools_dssslz00();
BGL_EXPORTED_DECL obj_t BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(obj_t);
static obj_t BGl__dssslzd2argsza2zd2ze3argszd2listz93zztools_dssslz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_dssslzd2formalszd2skeletonzd2envzd2zztools_dssslz00, BgL_bgl__dssslza7d2formalsza7d2skeletonza700za7za7tools_dssslza7001194z00, BGl__dssslzd2formalszd2skeletonz00zztools_dssslz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_dssslzd2formalszd2encodingzd2envzd2zztools_dssslz00, BgL_bgl__dssslza7d2formalsza7d2encodingza700za7za7tools_dssslza7001195z00, BGl__dssslzd2formalszd2encodingz00zztools_dssslz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_dssslzd2defaultzd2formalzd2envzd2zztools_dssslz00, BgL_bgl__dssslza7d2defaultza7d2formalza700za7za7tools_dssslza7001196z00, BGl__dssslzd2defaultzd2formalz00zztools_dssslz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_dssslzd2namedzd2constantzf3zd2envz21zztools_dssslz00, BgL_bgl__dssslza7d2namedza7d2constantza7f3za7f3za7za7tools_dssslza7001197za7, BGl__dssslzd2namedzd2constantzf3zf3zztools_dssslz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_dssslzd2findzd2firstzd2formalzd2envz00zztools_dssslz00, BgL_bgl__dssslza7d2findza7d2firstza7d2formalza7d2za7za7tools_dssslza7001198za7, BGl__dssslzd2findzd2firstzd2formalzd2zztools_dssslz00, 0L, 1 );
DEFINE_STRING( BGl_string1187z00zztools_dssslz00, BgL_bgl_string1187za700za7za7tools_dssslza7001199z00, "Illegal dsssl formal list", 25 );
DEFINE_STRING( BGl_string1186z00zztools_dssslz00, BgL_bgl_string1186za700za7za7tools_dssslza7001200z00, "dsssl-find-first-formal", 23 );
DEFINE_EXPORT_PROCEDURE( BGl_dssslzd2defaultedzd2formalzf3zd2envz21zztools_dssslz00, BgL_bgl__dssslza7d2defaultedza7d2formalza7f3za7f3za7za7tools_dssslza7001201za7, BGl__dssslzd2defaultedzd2formalzf3zf3zztools_dssslz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_dssslzd2argsza2zd2ze3argszd2listzd2envz41zztools_dssslz00, BgL_bgl__dssslza7d2argsza7a2za7d2za7e3argsza7d2listza793za7za7tools_dssslza7001202za7, BGl__dssslzd2argsza2zd2ze3argszd2listz93zztools_dssslz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long BgL_checksumz00_128, char * BgL_fromz00_129)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zztools_dssslz00))
{ 
BGl_requirezd2initializa7ationz75zztools_dssslz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zztools_dssslz00(); 
BGl_importedzd2moduleszd2initz00zztools_dssslz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zztools_dssslz00()
{ AN_OBJECT;
{ /* ./Tools/dsssl.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "tools_dsssl"); 
return BUNSPEC;} 
}



/* dsssl-named-constant? */
BGL_EXPORTED_DEF obj_t BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Tools/dsssl.scm 31 */
{ /* ./Tools/dsssl.scm 33 */
bool_t BgL__andtest_1003z00_8;
BgL__andtest_1003z00_8 = 
CNSTP(BgL_objz00_1); 
if(BgL__andtest_1003z00_8)
{ /* ./Tools/dsssl.scm 34 */
long BgL_aux1005z00_10;
BgL_aux1005z00_10 = 
CCNST(BgL_objz00_1); 
switch( BgL_aux1005z00_10) { case ((long)258) : 
case ((long)259) : 
case ((long)262) : 

return BTRUE;break;
default: 
return BFALSE;} }  else 
{ /* ./Tools/dsssl.scm 33 */
return BFALSE;} } } 
}



/* _dsssl-named-constant? */
obj_t BGl__dssslzd2namedzd2constantzf3zf3zztools_dssslz00(obj_t BgL_envz00_113, obj_t BgL_objz00_114)
{ AN_OBJECT;
{ /* ./Tools/dsssl.scm 31 */
return 
BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(BgL_objz00_114);} 
}



/* dsssl-defaulted-formal? */
BGL_EXPORTED_DEF obj_t BGl_dssslzd2defaultedzd2formalzf3zf3zztools_dssslz00(obj_t BgL_objz00_2)
{ AN_OBJECT;
{ /* ./Tools/dsssl.scm 45 */
if(
PAIRP(BgL_objz00_2))
{ /* ./Tools/dsssl.scm 46 */
obj_t BgL_cdrzd2105zd2_16;
BgL_cdrzd2105zd2_16 = 
CDR(BgL_objz00_2); 
if(
PAIRP(BgL_cdrzd2105zd2_16))
{ /* ./Tools/dsssl.scm 46 */
bool_t BgL_testz00_146;
{ /* ./Tools/dsssl.scm 46 */
obj_t BgL_auxz00_147;
BgL_auxz00_147 = 
CDR(BgL_cdrzd2105zd2_16); 
BgL_testz00_146 = 
NULLP(BgL_auxz00_147); } 
if(BgL_testz00_146)
{ /* ./Tools/dsssl.scm 46 */
return BTRUE;}  else 
{ /* ./Tools/dsssl.scm 46 */
return BFALSE;} }  else 
{ /* ./Tools/dsssl.scm 46 */
return BFALSE;} }  else 
{ /* ./Tools/dsssl.scm 46 */
return BFALSE;} } 
}



/* _dsssl-defaulted-formal? */
obj_t BGl__dssslzd2defaultedzd2formalzf3zf3zztools_dssslz00(obj_t BgL_envz00_115, obj_t BgL_objz00_116)
{ AN_OBJECT;
{ /* ./Tools/dsssl.scm 45 */
return 
BGl_dssslzd2defaultedzd2formalzf3zf3zztools_dssslz00(BgL_objz00_116);} 
}



/* dsssl-default-formal */
BGL_EXPORTED_DEF obj_t BGl_dssslzd2defaultzd2formalz00zztools_dssslz00(obj_t BgL_objz00_3)
{ AN_OBJECT;
{ /* ./Tools/dsssl.scm 57 */
return 
CAR(BgL_objz00_3);} 
}



/* _dsssl-default-formal */
obj_t BGl__dssslzd2defaultzd2formalz00zztools_dssslz00(obj_t BgL_envz00_117, obj_t BgL_objz00_118)
{ AN_OBJECT;
{ /* ./Tools/dsssl.scm 57 */
return 
CAR(BgL_objz00_118);} 
}



/* dsssl-find-first-formal */
BGL_EXPORTED_DEF obj_t BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t BgL_argsz00_4)
{ AN_OBJECT;
{ /* ./Tools/dsssl.scm 63 */
BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00:
{ /* ./Tools/dsssl.scm 65 */
bool_t BgL_test1027z00_20;
BgL_test1027z00_20 = 
NULLP(BgL_argsz00_4); 
if(BgL_test1027z00_20)
{ /* ./Tools/dsssl.scm 65 */
return BFALSE;}  else 
{ /* ./Tools/dsssl.scm 67 */
bool_t BgL_test1028z00_21;
BgL_test1028z00_21 = 
PAIRP(BgL_argsz00_4); 
if(BgL_test1028z00_21)
{ /* ./Tools/dsssl.scm 71 */
bool_t BgL_test1029z00_22;
{ /* ./Tools/dsssl.scm 71 */
obj_t BgL_arg1051z00_29;
BgL_arg1051z00_29 = 
CAR(BgL_argsz00_4); 
{ /* ./Tools/dsssl.scm 71 */
obj_t BgL_auxz00_158;
BgL_auxz00_158 = 
BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(BgL_arg1051z00_29); 
BgL_test1029z00_22 = 
CBOOL(BgL_auxz00_158); } } 
if(BgL_test1029z00_22)
{ /* ./Tools/dsssl.scm 71 */
{ /* ./Tools/dsssl.scm 72 */
obj_t BgL_arg1031z00_23;
BgL_arg1031z00_23 = 
CDR(BgL_argsz00_4); 
{ 
obj_t BgL_argsz00_163;
BgL_argsz00_163 = BgL_arg1031z00_23; 
BgL_argsz00_4 = BgL_argsz00_163; 
goto BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00;} } }  else 
{ /* ./Tools/dsssl.scm 73 */
bool_t BgL_test1034z00_24;
{ /* ./Tools/dsssl.scm 73 */
obj_t BgL_auxz00_164;
BgL_auxz00_164 = 
BGl_dssslzd2defaultedzd2formalzf3zf3zztools_dssslz00(
CAR(BgL_argsz00_4)); 
BgL_test1034z00_24 = 
CBOOL(BgL_auxz00_164); } 
if(BgL_test1034z00_24)
{ /* ./Tools/dsssl.scm 73 */
{ /* ./Tools/dsssl.scm 74 */
obj_t BgL_auxz00_169;
BgL_auxz00_169 = 
CAR(BgL_argsz00_4); 
return 
CAR(BgL_auxz00_169);} }  else 
{ /* ./Tools/dsssl.scm 75 */
bool_t BgL_test1039z00_26;
{ /* ./Tools/dsssl.scm 75 */
obj_t BgL_auxz00_172;
BgL_auxz00_172 = 
CAR(BgL_argsz00_4); 
BgL_test1039z00_26 = 
SYMBOLP(BgL_auxz00_172); } 
if(BgL_test1039z00_26)
{ /* ./Tools/dsssl.scm 75 */
return 
CAR(BgL_argsz00_4);}  else 
{ /* ./Tools/dsssl.scm 75 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string1186z00zztools_dssslz00, BGl_string1187z00zztools_dssslz00, BgL_argsz00_4);} } } }  else 
{ /* ./Tools/dsssl.scm 67 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string1186z00zztools_dssslz00, BGl_string1187z00zztools_dssslz00, BgL_argsz00_4);} } } } 
}



/* _dsssl-find-first-formal */
obj_t BGl__dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t BgL_envz00_119, obj_t BgL_argsz00_120)
{ AN_OBJECT;
{ /* ./Tools/dsssl.scm 63 */
return 
BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(BgL_argsz00_120);} 
}



/* dsssl-formals-skeleton */
BGL_EXPORTED_DEF obj_t BGl_dssslzd2formalszd2skeletonz00zztools_dssslz00(obj_t BgL_argsz00_5)
{ AN_OBJECT;
{ /* ./Tools/dsssl.scm 85 */
return 
BGl_loopz00zztools_dssslz00(BgL_argsz00_5, ((bool_t)0));} 
}



/* loop */
obj_t BGl_loopz00zztools_dssslz00(obj_t BgL_argsz00_30, bool_t BgL_skipz00_31)
{ AN_OBJECT;
{ /* ./Tools/dsssl.scm 86 */
BGl_loopz00zztools_dssslz00:
{ /* ./Tools/dsssl.scm 89 */
bool_t BgL_test1058z00_33;
BgL_test1058z00_33 = 
NULLP(BgL_argsz00_30); 
if(BgL_test1058z00_33)
{ /* ./Tools/dsssl.scm 89 */
return BNIL;}  else 
{ /* ./Tools/dsssl.scm 91 */
bool_t BgL_test1059z00_34;
BgL_test1059z00_34 = 
PAIRP(BgL_argsz00_30); 
if(BgL_test1059z00_34)
{ /* ./Tools/dsssl.scm 93 */
bool_t BgL_test1060z00_35;
{ /* ./Tools/dsssl.scm 93 */
obj_t BgL_arg1088z00_43;
BgL_arg1088z00_43 = 
CAR(BgL_argsz00_30); 
{ /* ./Tools/dsssl.scm 93 */
obj_t BgL_auxz00_186;
BgL_auxz00_186 = 
BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(BgL_arg1088z00_43); 
BgL_test1060z00_35 = 
CBOOL(BgL_auxz00_186); } } 
if(BgL_test1060z00_35)
{ /* ./Tools/dsssl.scm 93 */
{ /* ./Tools/dsssl.scm 94 */
obj_t BgL_arg1064z00_36;obj_t BgL_arg1065z00_37;
BgL_arg1064z00_36 = 
CAR(BgL_argsz00_30); 
{ /* ./Tools/dsssl.scm 94 */
obj_t BgL_arg1069z00_38;
BgL_arg1069z00_38 = 
CDR(BgL_argsz00_30); 
BgL_arg1065z00_37 = 
BGl_loopz00zztools_dssslz00(BgL_arg1069z00_38, ((bool_t)1)); } 
return 
MAKE_PAIR(BgL_arg1064z00_36, BgL_arg1065z00_37);} }  else 
{ /* ./Tools/dsssl.scm 93 */
if(BgL_skipz00_31)
{ /* ./Tools/dsssl.scm 95 */
{ /* ./Tools/dsssl.scm 96 */
obj_t BgL_arg1075z00_39;
BgL_arg1075z00_39 = 
CDR(BgL_argsz00_30); 
{ 
obj_t BgL_argsz00_196;
BgL_argsz00_196 = BgL_arg1075z00_39; 
BgL_argsz00_30 = BgL_argsz00_196; 
goto BGl_loopz00zztools_dssslz00;} } }  else 
{ /* ./Tools/dsssl.scm 95 */
{ /* ./Tools/dsssl.scm 98 */
obj_t BgL_arg1079z00_40;obj_t BgL_arg1080z00_41;
BgL_arg1079z00_40 = 
CAR(BgL_argsz00_30); 
{ /* ./Tools/dsssl.scm 98 */
obj_t BgL_arg1084z00_42;
BgL_arg1084z00_42 = 
CDR(BgL_argsz00_30); 
BgL_arg1080z00_41 = 
BGl_loopz00zztools_dssslz00(BgL_arg1084z00_42, BgL_skipz00_31); } 
return 
MAKE_PAIR(BgL_arg1079z00_40, BgL_arg1080z00_41);} } } }  else 
{ /* ./Tools/dsssl.scm 91 */
return BgL_argsz00_30;} } } } 
}



/* _dsssl-formals-skeleton */
obj_t BGl__dssslzd2formalszd2skeletonz00zztools_dssslz00(obj_t BgL_envz00_121, obj_t BgL_argsz00_122)
{ AN_OBJECT;
{ /* ./Tools/dsssl.scm 85 */
return 
BGl_dssslzd2formalszd2skeletonz00zztools_dssslz00(BgL_argsz00_122);} 
}



/* dsssl-formals-encoding */
BGL_EXPORTED_DEF obj_t BGl_dssslzd2formalszd2encodingz00zztools_dssslz00(obj_t BgL_argsz00_6)
{ AN_OBJECT;
{ /* ./Tools/dsssl.scm 103 */
{ 
obj_t BgL_argsz00_44;obj_t BgL_resz00_45;
BgL_argsz00_44 = BgL_argsz00_6; 
BgL_resz00_45 = BNIL; 
BgL_loopz00_46:
{ /* ./Tools/dsssl.scm 107 */
bool_t BgL_test1094z00_47;
BgL_test1094z00_47 = 
NULLP(BgL_argsz00_44); 
if(BgL_test1094z00_47)
{ /* ./Tools/dsssl.scm 107 */
return BgL_resz00_45;}  else 
{ /* ./Tools/dsssl.scm 109 */
bool_t BgL_test1095z00_48;
BgL_test1095z00_48 = 
PAIRP(BgL_argsz00_44); 
if(BgL_test1095z00_48)
{ /* ./Tools/dsssl.scm 111 */
bool_t BgL_test1096z00_49;
{ /* ./Tools/dsssl.scm 111 */
obj_t BgL_arg1111z00_54;
BgL_arg1111z00_54 = 
CAR(BgL_argsz00_44); 
{ /* ./Tools/dsssl.scm 111 */
obj_t BgL_auxz00_207;
BgL_auxz00_207 = 
BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(BgL_arg1111z00_54); 
BgL_test1096z00_49 = 
CBOOL(BgL_auxz00_207); } } 
if(BgL_test1096z00_49)
{ /* ./Tools/dsssl.scm 111 */
{ /* ./Tools/dsssl.scm 112 */
obj_t BgL_arg1098z00_50;obj_t BgL_arg1099z00_51;
BgL_arg1098z00_50 = 
CDR(BgL_argsz00_44); 
{ /* ./Tools/dsssl.scm 112 */
obj_t BgL_arg1103z00_52;
BgL_arg1103z00_52 = 
CAR(BgL_argsz00_44); 
BgL_arg1099z00_51 = 
MAKE_PAIR(BgL_arg1103z00_52, BgL_resz00_45); } 
{ 
obj_t BgL_resz00_215;obj_t BgL_argsz00_214;
BgL_argsz00_214 = BgL_arg1098z00_50; 
BgL_resz00_215 = BgL_arg1099z00_51; 
BgL_resz00_45 = BgL_resz00_215; 
BgL_argsz00_44 = BgL_argsz00_214; 
goto BgL_loopz00_46;} } }  else 
{ /* ./Tools/dsssl.scm 111 */
{ /* ./Tools/dsssl.scm 114 */
obj_t BgL_arg1107z00_53;
BgL_arg1107z00_53 = 
CDR(BgL_argsz00_44); 
{ 
obj_t BgL_argsz00_217;
BgL_argsz00_217 = BgL_arg1107z00_53; 
BgL_argsz00_44 = BgL_argsz00_217; 
goto BgL_loopz00_46;} } } }  else 
{ /* ./Tools/dsssl.scm 109 */
return BgL_resz00_45;} } } } } 
}



/* _dsssl-formals-encoding */
obj_t BGl__dssslzd2formalszd2encodingz00zztools_dssslz00(obj_t BgL_envz00_123, obj_t BgL_argsz00_124)
{ AN_OBJECT;
{ /* ./Tools/dsssl.scm 103 */
return 
BGl_dssslzd2formalszd2encodingz00zztools_dssslz00(BgL_argsz00_124);} 
}



/* dsssl-args*->args-list */
BGL_EXPORTED_DEF obj_t BGl_dssslzd2argsza2zd2ze3argszd2listz93zztools_dssslz00(obj_t BgL_expz00_7)
{ AN_OBJECT;
{ /* ./Tools/dsssl.scm 120 */
BGl_dssslzd2argsza2zd2ze3argszd2listz93zztools_dssslz00:
{ /* ./Tools/dsssl.scm 122 */
bool_t BgL_test1116z00_55;
BgL_test1116z00_55 = 
NULLP(BgL_expz00_7); 
if(BgL_test1116z00_55)
{ /* ./Tools/dsssl.scm 122 */
return BNIL;}  else 
{ /* ./Tools/dsssl.scm 124 */
bool_t BgL_test1117z00_56;
BgL_test1117z00_56 = 
PAIRP(BgL_expz00_7); 
if(BgL_test1117z00_56)
{ /* ./Tools/dsssl.scm 126 */
bool_t BgL_test1118z00_57;
{ /* ./Tools/dsssl.scm 126 */
obj_t BgL_arg1147z00_67;
BgL_arg1147z00_67 = 
CAR(BgL_expz00_7); 
{ /* ./Tools/dsssl.scm 126 */
obj_t BgL_auxz00_224;
BgL_auxz00_224 = 
BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(BgL_arg1147z00_67); 
BgL_test1118z00_57 = 
CBOOL(BgL_auxz00_224); } } 
if(BgL_test1118z00_57)
{ /* ./Tools/dsssl.scm 126 */
{ /* ./Tools/dsssl.scm 127 */
obj_t BgL_argz00_58;
{ /* ./Tools/dsssl.scm 127 */
obj_t BgL_arg1123z00_60;
BgL_arg1123z00_60 = 
CDR(BgL_expz00_7); 
BgL_argz00_58 = 
BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(BgL_arg1123z00_60); } 
if(
CBOOL(BgL_argz00_58))
{ /* ./Tools/dsssl.scm 129 */
obj_t BgL_list1120z00_59;
BgL_list1120z00_59 = 
MAKE_PAIR(BgL_argz00_58, BNIL); 
return BgL_list1120z00_59;}  else 
{ /* ./Tools/dsssl.scm 128 */
return BNIL;} } }  else 
{ /* ./Tools/dsssl.scm 131 */
bool_t BgL_test1126z00_61;
{ /* ./Tools/dsssl.scm 131 */
obj_t BgL_auxz00_233;
BgL_auxz00_233 = 
BGl_dssslzd2defaultedzd2formalzf3zf3zztools_dssslz00(
CAR(BgL_expz00_7)); 
BgL_test1126z00_61 = 
CBOOL(BgL_auxz00_233); } 
if(BgL_test1126z00_61)
{ /* ./Tools/dsssl.scm 131 */
{ /* ./Tools/dsssl.scm 132 */
obj_t BgL_arg1128z00_62;
BgL_arg1128z00_62 = 
CDR(BgL_expz00_7); 
{ 
obj_t BgL_expz00_239;
BgL_expz00_239 = BgL_arg1128z00_62; 
BgL_expz00_7 = BgL_expz00_239; 
goto BGl_dssslzd2argsza2zd2ze3argszd2listz93zztools_dssslz00;} } }  else 
{ /* ./Tools/dsssl.scm 131 */
{ /* ./Tools/dsssl.scm 134 */
obj_t BgL_arg1132z00_63;obj_t BgL_arg1133z00_64;
BgL_arg1132z00_63 = 
CAR(BgL_expz00_7); 
{ /* ./Tools/dsssl.scm 134 */
obj_t BgL_arg1137z00_65;
BgL_arg1137z00_65 = 
CDR(BgL_expz00_7); 
BgL_arg1133z00_64 = 
BGl_dssslzd2argsza2zd2ze3argszd2listz93zztools_dssslz00(BgL_arg1137z00_65); } 
return 
MAKE_PAIR(BgL_arg1132z00_63, BgL_arg1133z00_64);} } } }  else 
{ /* ./Tools/dsssl.scm 124 */
{ /* ./Tools/dsssl.scm 125 */
obj_t BgL_list1151z00_68;
BgL_list1151z00_68 = 
MAKE_PAIR(BgL_expz00_7, BNIL); 
return BgL_list1151z00_68;} } } } } 
}



/* _dsssl-args*->args-list */
obj_t BGl__dssslzd2argsza2zd2ze3argszd2listz93zztools_dssslz00(obj_t BgL_envz00_125, obj_t BgL_expz00_126)
{ AN_OBJECT;
{ /* ./Tools/dsssl.scm 120 */
return 
BGl_dssslzd2argsza2zd2ze3argszd2listz93zztools_dssslz00(BgL_expz00_126);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zztools_dssslz00()
{ AN_OBJECT;
{ /* ./Tools/dsssl.scm 15 */
return 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "tools_dsssl");} 
}

